Subject: Re: [PATCH 08/11] worktree: use 'worktree' over 'working tree'

From: Taylor Blau <[email-masked]>
Date: Sun, 20 Feb 2022 17:29:07 -0500

On Sun, Feb 20, 2022 at 05:54:24PM +0000, Derrick Stolee via GitGitGadget wrote:
> From: Derrick Stolee <[email-masked]>
>
> It is helpful to distinguish between a 'working tree' and a 'worktree'.
> A worktree contains a working tree plus additional metadata. This
> metadata includes per-worktree refs and worktree-specific config.
>
> This is the fourth of multiple changes to git-worktree.txt, restricted
> to the REFS section.
>
> This section previously described "per working tree" refs but they are
> now replaced with "per-worktree" refs, which matches the definition in
> glossary-content.txt.
>
> Signed-off-by: Derrick Stolee <[email-masked]>
> ---
>  Documentation/git-worktree.txt | 31 +++++++++++++++----------------
>  1 file changed, 15 insertions(+), 16 deletions(-)
>
> diff --git a/Documentation/git-worktree.txt b/Documentation/git-worktree.txt
> index 10021c85e77..54a2c335fd5 100644
> --- a/Documentation/git-worktree.txt
> +++ b/Documentation/git-worktree.txt
> @@ -255,24 +255,23 @@ have two worktrees, at `/abc/def/ghi` and `/abc/def/ggg`, then `ghi` or
>
>  REFS
>  ----
> -In multiple working trees, some refs may be shared between all working
> -trees and some refs are local. One example is `HEAD` which is different for each
> -working tree. This section is about the sharing rules and how to access
> -refs of one working tree from another.

Not the fault of this patch, but I have a tough time deciphering this
first sentence. Would the first part be clearer as:

    When using multiple worktrees, some refs are shared among all
    worktrees, but others are specific to an individual worktree.

?

Otherwise, this patch (and all of the replacement one preceding it)
look good to me.

Thanks,
Taylor